<bugID>552140<Summary>Implement Heads Up Display event handlers/observers</Summary><Description>Event handlers and observers for window object creation, new tabs, new windows, tracking all of these objects and destruction/cleanup when things go away.

First item: Browser window creation/ replacement observer/event handling</Description></bugID>